| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Slots | List of all members
Tp::Service::ChannelInterfaceSplittableAdaptor Class Reference
Channel service implementation

`#include <TelepathyQt/_gen/svc-channel.h>`

Inherits Tp::AbstractAdaptor.

## Public Slots

void | Split (const QDBusMessage &dbusMessage)

## Additional Inherited Members

Public Member Functions inherited from Tp::AbstractAdaptor
| AbstractAdaptor (const QDBusConnection &connection, QObject *adaptee, QObject *parent)
| ~AbstractAdaptor ()
QDBusConnection | dbusConnection () const
QObject * | adaptee () const

## Detailed Description

Adaptor class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Channel.Interface.Splittable.DRAFT".

## Member Function Documentation

void Tp::Service::ChannelInterfaceSplittableAdaptor::Split | ( | const QDBusMessage & | dbusMessage | ) |

slot

Begins a call to the exported D-Bus method `Split` on this object.

Adaptees should export this method as a Qt slot with the following signature: void split(const Tp::Service::ChannelInterfaceSplittableAdaptor::SplitContextPtr &context);

Implementations should call MethodInvocationContext::setFinished (or setFinishedWithError accordingly) on the received context object once the method has finished processing.

Request that this channel is removed from any ChannelInterfaceConferenceInterface of which it is a part.

This implies that the media streams within the conference are put on hold and the media streams within the member channel leaving the conference are unheld.